WEB WEAVER Shareware RELEASE NOTES
Copyright 1995-1998
by McWeb Software
____________________________________________________________________________________________________________


What's New! in version 98

-  Web Weaver now allows you to preview images in the Image browser and in other dialog boxes where Web Weaver requires you to select an image.

-  The Form Wizard has been enhanced.

-  An Imagemap Wizard has been added for creating Client-side imagemaps.

-  The Page Properties, Java applet and Image dialog boxes have been changed to tabbed dialog boxes for more organized entry.

-  The advanced image options (such as video and imagemap settings) are now part of the Image dialog box.

-  The File List is now re-sizable.  It can also be dragged to the left side of the screen or hidden.

-  A spellcheck button and a Find button have been added to the button bar.

-  You can now open files from the Web by selecting the ‘File | Open file from the Web’ menu item.

-  The Save button now displays if the open document is unsaved.  If it is saved, it will display as a grayed out button.  If the document is not saved, the button will appear as normal.

-  Web Weaver now advises you to save your untitled document if you attempt to insert images, objects or any other item that needs to have a relative pathname specified.

-  The Horizontal Rule menu item has been moved to the Insert menu and has been renamed Horizontal Line.

-  The MailTo menu item has been moved to the Insert menu and has been renamed Email Link.

-  The Imagemap Wizard has been moved to the Insert menu.

-  The Embedded Object menu item has been renamed Sound/Multimedia Object.

-  The Format | Character menu item has been renamed to the Format | Text menu item.

-  The View | File List menu item has been added to allow the user to hide the File List.

-  The View page with Web browser menu items have been moved to the View menu.

-  The ‘Move to Next document’ and ‘Move to Previous document’ menu items have been added to the Window menu.  They allow you to move between open documents in Web Weaver.

-  The ‘Submit your Web page to search engines’ menu item has been added.  This links you to the McWeb Software Web site and allows you to submit your Web page to popular search engines.

-  The Help | About dialog box now has the capability to check if you are using the current version of Web Weaver.  You must be connected to the Internet to use this feature.

-  The Insert | Date and Time feature has been enhanced to allow you to set the Date/Time format.

-  CAPSLOCK and INSERT/OVERWRITE key indicators have been added to Web Weaver’s status bar.

-  The <DIV></DIV> and <SPAN></SPAN> tags have been added to the Insert | Paragraph/Text Elements menu item.

-  Buttons for browsing Internet Explorer Favorites were added to appropriate dialog boxes such as the HyperLink dialog box.  The button allows you to specify a URL by searching through your Internet Explorer Favorites.

-  The Format Text dialog box now has a preview section which allows you to see what the formatted text will look like before inserting it.

-  The Java applet dialog box has been enhanced to include the setting of applet parameters.

-  The Preferences dialog box has more customizable settings and is organized a little differently.  The new settings are as follows:


		Show File List
		Align File List on left side
		Use ending </P> tag when inserting <P>
		Use <DIV Align=> instead of <P Align=> tag
		Automatically insert carriage return when <BR> tag is inserted

-  Also, menu type settings have been renamed from Beginner, Intermediate, and Advanced to Minimal, Typical, and Maximum.

-  The ‘Web page statistics’ function has been added to the Gold version of Web Weaver.  This allows you to monitor the visitor information on your Web page.  Web Weaver collects the data and then generates a report of graphs that shows:

		Number of visits to your Web page
		Breakdown of visits by month
		Breakdown of visits by day
		Breakdown of visits by hour
		Breakdown of visits by Web browser
		Breakdown of visits by Operating system
		Breakdown of visits by domain name


-  Global Find and Replace has been enhanced.  It can now handle documents larger than 64K.  It will not replace text in a document that is already open in Web Weaver.  You can open a document in Web Weaver from the Global Find and Replace dialog box after performing a Replace.  You can open a document after performing a Find and Web Weaver will highlight each instance of the Find text.  Javascript files and CGI files can now be searched and replaced.

-  Site Mongrel Site Manager has been enhanced:

		The main window is now resizable.
		The Site Mongrel File List is resizable.
		QuickView now allows you to preview images.
		Documents can be opened in Web Weaver from Site Mongrel.
		The status of Site Mongrel’s operations are displayed in the Status bar at the bottom of the screen.
		Site Monrel now checks anchors.

-  Web Weaver has the capability to determine if a document is already open and not allow you to open the same document again.





What's New! in version 97h (version 97.6)

- A spell checker has been added to Web Weaver Gold.

- The missing "browse" button in the Preferences dialog box for selecting
browser #1 has been replaced.

- A "Repeat Last Command" function has been added for inserting HTML
tags repeatedly by pressing the F9 key.

- The ability to specify using uppercase or lowercase HTML tags in 
documents is now available.

- The Global Replace function has been enhanced to become the Global
Find and Replace function which provides the user with a report (both
on-screen and written to a text file) displaying the number of times the 
text was found or replaced in selected documents.

- Bugs in the Form Wizard and form elements have been fixed.

- The Line number displaying which line the cursor is presently on has
been added to Web Weaver's main screen.

- The system's default browser is automatically found when the "Link
to browser #1" button is pushed and a browser hasn't been assigned to it.

- An "Edit with Web Weaver" menu item has been added to provide a quick way to 
open a document in Web Weaver from Windows Explorer.

- Several new preference settings exist including:
Specify if you want New documents to start with a blank page;
Specify if you want to open a new document when Web Weaver begins;
The ability to change the HTML tag syntax colors has been added;
Specify if you want the Page Properties dialog box to automatically 
appear when starting a new document;
Specify if you wish to cascade documents in the Web Weaver window as 
you open them.


- The custom buttons can now be customized to have starting and ending
tags.
 
- The special characters function has been fixed.

- An Import/Export to Mac file format has been added to the File menu.

- New file types have been added to the File Open and Save functions.
Examples are: Server side include files (*.shtml), CGI scripts (*.cgi and
*.pl), and Cold Fusion files (*.cfm)

- Site Mongrel has been enhanced to handle root directory names.




What's New! in version 97g (version 97.5)

- The Page Properties dialog box was enhanced to include
 a button for importing page colors from another Web page.  This 
makes it easy to use the same colors in many documents without
having to re-pick the color schemes.

-The Page Properties dialog box has also been updated so that it
remembers the properties of the page you are working on.  When you 
open the Page Properties dialog box, the current page settings are
displayed so that you can edit them.

- Word wrap was added (the ability to turn it off and on).  Web
Weaver always had word wrap.

- When inserting images or embedded objects the relative directory is 
automatically inserted with the filename so users don't have to manually 
insert it.

- There is no longer a 32K limit for file size.

- A color picker was added.  The eyedropper button located on the 
toolbar opens the color picker.

- Link verification was added to Web Weaver.  Only local links (on the 
user's hard drive) can be verified.  An add-on called Site Mongrel 
can be purchased for site management and analysis as well.

- Users can now edit HTML tags that have already been inserted into their
documents.  Just place your cursor in between the tag brackets < > and right-click.
Then select Edit Tag and the appropriate dialog box will appear
allowing you to edit the tag.

- Colorizing the HTML tags in documents is now twice as fast as before.

- CTRL-F is now the keyboard shortcut for Find.

- A right-click pop-up menu was added to the side file menu.  Selecting a
file from the side menu and right-clicking the mouse on it results in a menu
offering the choices to view file properties, verify links, or perform
other file management functions.

- The FTP Client and Graphics application buttons were added to the toolbar.

- The code for an HTML non-breaking space (&nbsp;) was added to the menu and 
given the keyboard shortcut CTRL-N.

- JavaScript HTML tags were added to the Java menu item.

- Several dialog boxes had the HTML attribute TARGET added to them.  This
allows the user the option of targeting specific frames.

- The Delete command was removed from the Edit menu.

- The "Open Web Page" button on the side file menu was removed.  Double-
clicking on any of the HTML files will open them.


- Sample templates were added.  They can be accessed by selecting the
 "FILE/NEW" menu item.

- Directory and Interactive Lists were removed.  They are not popular 
forms of HTML lists.

- The Table Wizard has been enhanced to be more of a step-by-step process.
Also, Table tags are inserted using TABS to make the HTML code more 
organized on your page.

- The Form wizard has been enhanced and now comes with its own CGI script
for processing forms.

- Comments are now colored grey on the Web Weaver text box.

- The box that asked if you wished to create a new document or open
an existing one has been removed.  We figured you could make that decision
without the help of an extra box.






What's New! in version 97e

- A Global Find and Replace function that makes replacing 
text in multiple files easy.



What's New! in version 97

- An additional Frames wizard which has pre-made templates 
to make Frames easier than ever!!

- FTP and Imagemapper buttons have been removed from the toolbar 
to make room for more frequently used commands.  Buttons for 
inserting horizontal rules and a button for adding a second browser 
for previewing are added to the toolbar!!

- UNDO and Select All have been added to the menus.

- Linking to browsers is now an automatic feature.  This means that
 you no longer have to save your document and Alt-Tab between Web 
Weaver and your browser to view it.  You can simply click a button 
and your browser (IE or Netscape) will appear with the updated page 
(even without saving it first).




What's New! in Web Weaver 95d


-  Advanced features were added to the Inline Image dialog box.  
These include imagemap declarations and AVI video properties for 
inserting video clips.

-  Print menu item is now functional.  Choosing Print will open the
 specified application (e.g., Notepad, Write, etc.) in order to print 
the HTML document from that opened application.

-  A "fixed directory" item has been added to the Inline Image box and
 the Page Properties box to provide a quick way to insert the full path
 and filename of the image being chosen.  This waythe links to the images 
will always work regardless of the location of the HTML file which has
links to them.

-  A DTD DOCTYPE tag has been added to the default startup "new" document 
to alert browsers that the document is an HTML 3.2 document and that it 
should be interpreted as such.

-  META tags have been added to the "Advanced" section of the Page 
Properties dialog box.  These allow the HTML document to specify it's 
description and keywords, and to make the HTML document have the ability 
to refresh itself or jump to another page after a specified time has expired.

-  A Frames wizard called Frame Maker has been added.  Since recent 
versions of Web Weaver 5.2 the NOFRAMES tag has been added to the output 
of the Frame Maker.

-  When the Preferences dialog box is opened, all existing preferences 
are displayed in the appropriate text boxes.

-  The "working directory" (set in the Preferences box) now works properly 
when set.  When opening or saving HTML documents the "working directory" is
 shown by default to provide quick and easy access to the directory which 
you specified as your "working directory".  If you access another directory 
(save to another or open from another) this causes the working directory 
to change to the current directory for the next time you are saving or opening.

-  The Math menu items and the Attributes menu items have been removed.  
McWeb software feels that these were too specific as well as 
unnecessary menu items.  Also, all of the attribute menu items for 
forms and tables were removed as well.

-  New keyboard shortcuts have been added to Web Weaver.  These include
	CTRL-T		<TABLE></TABLE>
	CTRL-R		<TR></TR>
	CTRL-D		<TD></TD>

-  The Backgroud/BGcolor menu item has been renamed to Page Properties because it controls more
than just the colors of the Web page.

-  The HTML Stripper has been improved to handle carriage returns, Headers <H1>, <CENTER> tags
and more to provide you with a more accurate strip.

-  The Font format dialog box has been enhanced to graphically display the effects of the
different font formats (e.g., the bold item is actually bolded to demonstrate the effect
that selection would have on selected text).

-  The PNG image format has been added to the image selection dialog boxes.  This format is 
supported in the HTML 3.2 specification.

-  List dialog boxes (bulleted, numbered, etc.) have been revised to provide a more intuitive
way to create lists.  One button was removed and the others were programmed to give the list
dialog boxes a more step by step approach.





What's New! in version 5.1 

-  New start-up screens that ask the user whether they wish to start a new 
document or open an existing one.  If 'New document' is chosen then the dialog box for setting 
background colors and properties opens for user input.  If 'Existing document' is selected, an 
'Open File' dialog box appears for the user to select the file they wish to open.  The user can 
also set Web Weaver so these start-up dialog boxes do not appear.


-  When you open the Options/Preferences dialog box the existing settings 
are shown.  Also, when you change a preference and click "OK" to accept the settings they are 
automatically updated without having to restart Web Weaver.  Also, if Web Weaver encounters 
a problem it will ask you if you wish to investigate your settings.

-  Internet Explorer tags and Java tags are included in dialog boxes for 
Marquee, Fonts, Background sound, Applets and applet parameters.  More IE and Netscape 
tags are supported in the Inline Image dialog box including Runtime video insertion, client side 
image maps, and an input box for the directory where the inline image will reside is now 
included.

-  When entering Background colors/properties the cursor can now be 
located anywhere in the 
current document, and the codes will be correctly placed inside the <BODY> tag.

-  The inline graphics dialog box now has a much improved Align tag 
preview along with an explanation of what each Align attribute does.  Also, the inline image
dialog box has a more organized look.

-  Tooltips for each button on the button bars explain what each button does.

-  The Find/Replace function has been improved.

-  Larger buttons are used on the button bar for ease of use.

-  Tooltips are now available in Web Weaver 5.1.

-  A dialog box for the creation of HTML code for client side image maps is 
now available.

-  Your favorite and most commonly used URLs can be placed in the INI file 
and Web Weaver will allow you to access them easily with pull-down boxes in the Hypertext 
and Inline Image dialog boxes.

-  The location and size of the Web Weaver main window is memorized on 
exit so when you start Web Weaver up the next time it will be as you left it.

-  A Close All menu item has been added to the Window menu.  This allows 
the user to easily close all the open documents at the click of a button.  If the user has made 
changes to any of the documents, Web Weaver notifies the user for each modified document 
and asks if the user wishes to save the changes.

-  Clicking on the current time display at the bottom of the Web Weaver 
main window will result in the time and date being inserted into your document.



**********************************************************************

 

What's New! in version 5.0a

- Improved menu layout - Most code is in alphabetical order for easier finding.  

- The HTML 3.0 menu item has been removed because it would have made it more confusing 
	to find the HTML tag that you wanted.  All HTML 3.0 tags are included 
	in the Insert menu item.

- HTML tags have been separated into their correct categorical menu headings such as:
	Physical Style Tags; Logical Style Tags, Paragraph/Text Elements, etc.

- MUCH MUCH MUCH! more HTML code, both HTML 2.0 and 3.0, including Math tags, Attributes, 
	more special characters, etc. have been added to Web Weaver.  Over 100 menu items
	in all.

- Now when you open a document, Web Weaver maximizes it to cover the whole Web Weaver screen.

- Most dialog boxes now have Help! buttons on them for context sensitive help on that 
	particular item.

- Dialog boxes also have a sleek new look.  No more bold text headings, smaller buttons, 
	leaner, etc.

- Special characters now have input dialog boxes for easier insertion, and include math 
	variables, vowels, and various characters.

- Includes imagemapping software Map THIS! and provides a menu item to link to that software.

- Link to FTP Client option on the menu bar.

- Improved HTML Form entry dialog box(FORM MAKER) providing a preview of each type of 
	form input.

- HTML 3.0 Tables are now supported.  TABLE MAKER makes it very easy to insert tables into 
	your HTML document.

- Background and BGColor settings dialog box are now combined and now include tags for
	visited link and active link colors.  Also, the text labels(Linked text, Visited text, etc.) for each 	type of Web text change to the color that you have chosen.  Color boxes adjacent to the lables also 	display the color you have selected for the respective Web page text color.

- Options and preferences settings dialog box that will update the INI file automatically.
	Settings include: Working directory, Image directory, Working Font, Fontsize, 
	Browser	path/name, FTP client path/name, and ImageMapper path/name.

- Toolbox settings dialog box that automatically updates the INI file.

- Web Weaver opens with a default template which includes the necessary tags to create a 
	"grammatically correct" HTML document

- Allows the user to open a user-defined template to start a document

- Date & Time menu item, inserts the current date and time into the document

- ISMAP tag, FIGure tag, and Alignment preview box are added to the Inline Image dialog box

- An insert button is added to the Inline Image box so the user can insert inline image 
	attributes into the document without having to create an entire Inline Image 
	tag (e.g., Align=Top)

- Align options in Inline Image box are in a list box format to minimize the size of the dialog
	box.

- Attribute menu item added to the Insert menu allowing the user to insert common HTML 
	attributes.

- Built in Tutorial for beginners.

- Web Wizard provides an easy way to create a simple HTML document

- User can now specify the name of the stripped file when stripping HTML tags from a document

- The Web Weaver icon has a transparent background.

- More buttons on the screen for easier access to FTP client, browser, etc.

- The HTML Stripper has had a few bugs fixed in it.  It used to skip some characters, but now 
	it parses all characters.

- More sample images and backgrounds are included for your use.

__________________________________________________
Bug Fixes/Improvements since Web Weaver 5.0:

- OK, OK.  Here's the FINAL story on <P>, <HR>, and <BR>.  I used to put carriage returns in front of or behind these tags because I thought it would be easier to input them until
I started getting frustrated.  From now on, when you enter a <P>, <HR>, or <BR> tag it 
will be inserted EXACTLY at the position of your cursor, and your cursor will end up
on the right side of that code.  The exception is <P> which has changed to <P></P>.  
The cursor will end up between the tags if no text was selected before inserting 
the <P> tag OR the cursor will end up to the right of the end tag </P>.  The main thing
is that you won't have to guess where to put your cursor to get these tags into the 
correct positions.

- I fixed the Align attribute in the Inline Image dialog box.  It wasn't inserting the Align 
attribute into the document.  That's all better now.

-The toolbox no longer disappears behind the Web Weaver screen, and when you close the toolbox and re-open it the toolbox items will still be there.  Also, minimizing Web Weaver now minimizes the toolbox, and maximizing it will restore the toolbox.

- The Form Maker now has the Select and TextArea input types included.  Also, Form Maker 
now includes a Input Type preview so you can see what each type of Input Type will look like.

- The browsing for image filenames was changed so that only the filename (not the path) is inserted into the text box.  Also, there is a choice of having the lowercase letters changed to all uppercase with the click of a button.

- Visited link and Active link text colors were added to the Background/BGColor dialog box.  Also, in version 5.0 when a user clicked CANCEL in the color selection dialog box the HEX code would be placed in the BGColor text box anyway.  This is now fixed.  Also, only a maximum of six characters can be typed into these BGColor boxes.  This reduces the error if you happen to type more than 6 by accident.

- The Cut and Copy buttons were switched so that they matched industry standard conventions (like Microsoft Word).

- In the hypertext input box, you can now press <ENTER> when typing in the Link box and the HTML code will be placed in the document.  Before you had to type in the Link box and then click OK.

- The Align radio buttons have been switched to a List Box to minimize space.

-  The Save As dialog box used to read 'Insert File' after you inserted a file.  This has been fixed.

- When maximizing a document in version 5.0, the Web Weaver title bar would read: 'Web Weaver 5.0 - [Untitled:1] - Filename.htm'.  This has been fixed so the 'Untitled:1' is no longer there.

- The shortcut key for Enlarge Font has been switched to CTRL-N.  Now the Center tag has the CTRL-E shortcut key.

- In version 5.0, when exiting Web Weaver, the Windows task list reported Web Weaver as still running.  This has been fixed.

There's still a problem with printing.  I couldn't program Web Weaver
 to format the pages in order to print them without cutting off text.
  Therefore, I have arranged it so you must open Write/Notepad or any
other word processor of your choice to print your documents.  You can 
still pick print from Web Weaver and Web Weaver will execute the 
program you wish to print from.

Also, the toolbox stays on top of all windows still, so if you open
another application you will have to close the toolbox in order to
get the full view of the newly executed app.
*********************************************************************************************
*********************************************************************************************



What's New! in version 5.0

- Multiple Document editing is supported in this version.
- A recent file list of 4 files is listed at the bottom of the File menu item similar to most commercial word 
	processor's recent files list.
- User defined toolbox is included, allowing 5 user defined buttons to be assigned.
- Right click pull-down menu is available which is similar to most word processors 
	including Cut, Copy, Paste, limited Undo, etc.
- Find/Replace capabilities.
- More HTML and Netscape code including MailTo, Background Colors, and Background Wallpaper.
- Fonts dialog box is supported for using any system fonts in your text window.
- Code for Forms are included in the Form dialog box under the Insert/Form menu item.
- Interactive Menu Lists and Directory Lists are added to the Insert Lists menu item.
- Eventually HTML 3.0 Tables will be supported and also an Options box which will allow the user
	to change browsers to link to, working fonts, working directories, etc by automatically 
	changing the INI file.




Bug Fixes/Improvements since Web Weaver 4.0b:

	These fixes improve the functionality of Web Weaver and make it more similar to conventional 
	editors/word processors.

- Along with the multiple document editing comes a File menu more similar to conventional software.  Save As, 
	Save, Close, and Exit all work in the conventional way.  When you have edited a file and choose Exit, 
	Web Weaver asks if you wish to save the file instead of asking "Are you sure you wish to quit?"
	Print is still being worked on even though it works.  
- Removed the horizontal scrollbar from the text windows so a hard return will not have to be hit in order for 
	you to get to the next line.  Otherwise you could keep typing and the line of text wouldkeep running 
	off the page.
- Switched the positions of the Cut and Copy buttons to mimic the configuration of Microsoft Word.
- When pressing the <P> button or menu item the insertion of the "<P>" is preceded by a carriage return. 
 	Before, a carriage return came after the "<P>" was inserted.  It is common HTML practice to type
 	"<P>" at the beginning of a new line and then directly following it with the text of the new paragraph. 
	 The change of this button/menu item makes this more intuitive.
- The <HR> insert code was also changed so that a carriage return precedes AND comes after the "<HR>".
  	This makes it easy to press the <HR> button when at the end of a sentence, and the cursor will
 	feed to the next line, insert "<HR>" and then feed to the following line.
- Selected text in the editor window is automatically placed in the Anchor box when the Anchor menu item
 	is chosen.  
- Graphics menu item is now called Inline Image.
- The Align feature in the Inline Images box is fixed so that doubleclicking in the background of the box
 	clears ALL values.  Also, previously both Netscape and normal HTML Align values could
	simultaneously be chosen when there should actually only be one choice for insertion.  This is
 	fixed so that the Align values can only have one selected choice.
- Netscape Item types in the Numbered List box is fixed so that doubleclicking won't cause errors 
	during insertion.  The clearing of the values used to accidentally clear the Start value which 
	would cause an error if you tried to insert. 
- The Address code was placed in the Paragraph/Text Elements and MailTo code was added to the 
	Netscape Extensions menu item.
- Browse buttons added to the Inline Images box and Hypertext box.
- The ability to type in the desired input in dialog boxes like Hypertext, Inline Image, Anchors, 
	Lists and hit the <ENTER> key to say "OK" instead of having to type then click 
	on OK to submit the input.

__________________________________________________________________________________________________________________


